org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPFunctionType

All Superinterfaces:
  Cloneable, IFunctionType, IType

    public interface ICPPFunctionType
    extends IFunctionType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPEvaluation` `getNoexceptSpecifier()` Returns the evaluation object for the noexcept specifier or null if there is no noexcept specifier.
`IPointerType` `getThisType()` Deprecated. function types don't relate to this pointers at all.
`boolean` `hasRefQualifier()` Returns `true` for a method declared with a ref-qualifier.
`boolean` `isConst()` Returns `true` for a constant method.
`boolean` `isRValueReference()` Returns `true` if the type of the implicit object parameter is an rvalue reference.
`boolean` `isVolatile()` Returns `true` for a volatile method.
`boolean` `takesVarArgs()` Whether the function type takes variable number of arguments.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFunctionType

`getParameterTypes, getReturnType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### isConst

    boolean isConst()

Returns `true` for a constant method.

#### isVolatile

    boolean isVolatile()

Returns `true` for a volatile method.

#### hasRefQualifier

    boolean hasRefQualifier()

Returns `true` for a method declared with a ref-qualifier.

Since:
  5.9

#### isRValueReference

    boolean isRValueReference()

Returns `true` if the type of the implicit object parameter is an rvalue reference.

Since:
  5.9

#### getNoexceptSpecifier

    org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPEvaluation getNoexceptSpecifier()

Returns the evaluation object for the noexcept specifier or null if there is no noexcept specifier.

Since:
  6.7
Restriction:
  This method is not intended to be referenced by clients.

#### takesVarArgs

    boolean takesVarArgs()

Whether the function type takes variable number of arguments.

Specified by:
  `takesVarArgs` in interface `IFunctionType`
Since:
  5.2

#### getThisType

    @Deprecated
    IPointerType getThisType()

Deprecated. function types don't relate to this pointers at all.

Restriction:
  This method is not intended to be referenced by clients and should be removed.